#ifndef XYDS_h
#define XYDS_h

#include <cmath>
#include <BK/Struct.h>
#include <BK/Vypocty/Uhly.h>

double GetD ( double& X, double& Y ) { return sqrt(X*X+Y*Y);   }
double GetS ( double& X, double& Y ) { return Gra(atan2(Y,X)); }
double GetX ( double& D, double& S ) { return D*cos(Rad(S));   }
double GetY ( double& D, double& S ) { return D*sin(Rad(S));   }

double GetD ( Bod& A, Bod& B )
{ double x = B.x - A.x;     double y = B.y - A.y;     return GetD(x,y); }
double GetS ( const Bod& A, const Bod& B )
{ double x = B.x - A.x;     double y = B.y - A.y;     return GetS(x,y); }

#endif
